/**
 * @(#)osdepend.h 2000/11/04
 *
 * @author Ice
 * @version 1.02
 *
 * ICE Team free software group
 *
 * This file is part of TSID.
 * See README for copyright notice.
 *
 * note:
 *  this code is taken and modifed from tailor.h (target dependent definitions)
 *  Copyright (C) 1992-1993 Jean-loup Gailly.
 *
 * note: some comments are in the style of Javadoc of Java language!
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *  02111-1307  USA.
 */

#ifndef _OSDEPEND
#define _OSDEPEND

//define your system if one of this two:
#if !defined(HAVE_UNIX) && !defined(HAVE_MSWINDOWS)
#  error No target OS is defined
#endif

#if defined(__MSDOS__) && !defined(MSDOS)
#  define MSDOS
#endif

#if defined(__OS2__) && !defined(OS2)
#  define OS2
#endif

#if defined(OS2) && defined(MSDOS) // MS C under OS/2
#  undef MSDOS
#endif

#ifdef MSDOS
#  define PATH_SEP '\\'
#  define MAX_PATH_LEN  128
#endif

#ifdef OS2
#  define PATH_SEP '\\'
#  define MAX_PATH_LEN  260
#endif

#ifdef WIN32 // Windows NT
#  define PATH_SEP '\\'
#  define MAX_PATH_LEN  260
#endif

#if defined(VAXC) || defined(VMS)
#  define PATH_SEP ']'
#endif

#ifdef AMIGA
#  define PATH_SEP ':'
#endif

#if defined(ATARI) || defined(atarist)
#  ifdef TOSFS
#    define PATH_SEP '\\'
#    define MAX_PATH_LEN  128
#  endif
#endif

#ifdef MACOS
#  define PATH_SEP ':'
#endif

#ifdef __50SERIES // Prime/PRIMOS
#  define PATH_SEP '>'
#endif

#ifdef HAVE_UNIX
#  define PATH_SEP '/'
#endif

#ifdef HAVE_MSWINDOWS
#  define PATH_SEP '\\'
#endif

#ifndef PATH_SEP
#  define PATH_SEP '/'
#endif

#ifndef MAX_PATH_LEN
#  define MAX_PATH_LEN   1024 /* max pathname length */
#endif


#endif // osdepend.h
